package com.gh.gamecenter.core.provider

import android.app.Activity
import android.app.Application
import android.content.Context


interface IQuickLoginProvider {

    fun init(app:Application)

    fun preLogin(context: Context)

    fun startLogin(context: Context, entrance: String, continuablePath: String? = null, callback: (() -> Unit)?)

    fun isOpenMobileData(context: Context): Boolean

    fun checkPolicyAndContinue(context: Context, callback: () -> Unit)

    fun finishAuthActivity()

    fun addCustomViewToLoginAuthPage(activity: Activity)

    fun release()
}